
#include "UIBB.au3"

Global $hGUI = GUICreate('test', 800, 800, -1, -1, 0x00040000) ; Resizable GUI

GUICtrlCreateMenu('Datei') ; Beispiel Menu ohne Inhalt, kann man auch später einrichten, die UDF funktioniert trotzdem.

; Aufteilung in 3 Teile (nebeneinander, HBOX) des gesamten Bildschirms.
Global $hBOX = _UIBB_Box($UIBB_HBOX, $hGUI) ; Root Box mit $hGUI initialisieren!

; Links wollen wir eine Aufteilung in 3 Teile (übereinander, VBOX)
Global $hLeft = _UIBB_Box($UIBB_VBOX)
; Die Linke seite soll ca. 120px breit sein.
_UIBB_SetSize($hLeft, 120)
; Ein bisschen Platz links, oben und unten
_UIBB_SetMargin($hLeft, 5, 0, 5, 5)

; Oben: 13 Buttons (übereinander, VBOX)
Global $hLeftTop = _UIBB_Box($UIBB_VBOX)
; Die 13 Buttons sollen jeweils ca. 30 px hoch sein.
_UIBB_SetSize($hLeftTop, 13 * 30)
For $i = 0 to 12 Step 1
	$btn = _UIBB_Insert($hLeftTop, GUICtrlCreateButton)
	GUICtrlSetData($btn, 'Button Nummer ' & $i)
	GUICtrlSetBkColor($btn, Random(0, 0xFFFFFF)) ; _UIBB_Insert gibt die original Ctrl-IDs zurück mit denen man alles wie üblich machen kann.
Next

; Mitte: Leer
Global $hLeftMid = _UIBB_Box($UIBB_EMPTY)

; Unten: 2 Buttons
Global $hLeftBot = _UIBB_Box($UIBB_VBOX)
_UIBB_Insert($hLeftBot, GUICtrlCreateButton)
GUICtrlSetData(-1, 'Lets Go!') ; Der Zugriff via -1 funktioniert ebenfalls.
_UIBB_Insert($hLeftBot, GUICtrlCreateButton)
GUICtrlSetData(-1, 'Roter Button')
GUICtrlSetBkColor(-1, 0xFF0000)

; Die 2 Buttons sollen jeweils ca. 30px hoch sein.
_UIBB_SetSize($hLeftBot, 2 * 30) ; Man kann die Größe auch nachträglich setzen.
; Allerdings muss es bevor $hLeftBot in $hLeft eingefügt wurde passieren.

; $hLeft zusammensetzen
_UIBB_Insert($hLeft, $hLeftTop)
_UIBB_Insert($hLeft, $hLeftMid)
_UIBB_Insert($hLeft, $hLeftBot)

; Die Mitte ist am größten. Hier machen wir einfach ein rotes Rechteck hin (nur 1 Element, daher egal ob VBOX oder HBOX).
Global $hMid = _UIBB_Box($UIBB_HBOX)
_UIBB_SetMargin($hMid, 10, 10, 10, 10)
_UIBB_Insert($hMid, GUICtrlCreateLabel)
GUICtrlSetBkColor(-1, 0xDE5247)


; Rechts möchten wir 3 übereinanderliegende Abschnitte durch eine rote Linie getrennt (insg. also 5 Objekte)
Global $hRight = _UIBB_Box($UIBB_VBOX)
_UIBB_SetSize($hRight, 250)
_UIBB_SetMargin($hRight, 0, 10, 0, 0) ; Auf der rechten Seite ein bisschen Platz zum Fensterrand lassen.
Global $hRightTop = _UIBB_Box($UIBB_VBOX)
Global $hRightLine1 = _UIBB_Box($UIBB_VBOX)
_UIBB_SetSize($hRightLine1, 3)
Global $hRightMid = _UIBB_Box($UIBB_VBOX)
Global $hRightLine2 = _UIBB_Box($UIBB_VBOX)
_UIBB_SetSize($hRightLine2, 3)
Global $hRightBot = _UIBB_Box($UIBB_HBOX)

; Erstmal die Linien -> einfach ein Label mit roter Farbe
_UIBB_Insert($hRightLine1, GUICtrlCreateLabel)
GUICtrlSetBkColor(-1, 0xDE5247)
_UIBB_Insert($hRightLine2, GUICtrlCreateLabel)
GUICtrlSetBkColor(-1, 0xDE5247)

; Oben wollen wir ein Rechteck. Also wird die Höhe auch auf 250 gesetzt.
_UIBB_SetSize($hRightTop, 250)
_UIBB_Insert($hRightTop, GUICtrlCreateGroup)
GUICtrlSetData(-1, 'Bildvorschau')

; In der Mitte wollen wir 3 Gruppen übereinander
Global $hRightMidTop = _UIBB_Box($UIBB_VBOX)
Global $hRightMidMid = _UIBB_Box($UIBB_VBOX)
Global $hRightMidBot = _UIBB_Box($UIBB_VBOX)


_UIBB_Insert($hRightMidTop, GUICtrlCreateGroup)
GUICtrlSetData(-1, 'Skalenfaktor 1')
_UIBB_Insert($hRightMidMid, GUICtrlCreateGroup)
GUICtrlSetData(-1, 'Skalenfaktor 1.5')
_UIBB_Insert($hRightMidBot, GUICtrlCreateGroup)
GUICtrlSetData(-1, 'Skalenfaktor 2')


; Unten soll es eine kleine Visitenkarte geben
_UIBB_SetSize($hRightBot, 120)
_UIBB_Insert($hRightBot, GUICtrlCreateGroup, -1) ; Ein Scale von -1 bewirkt, dass das Ctrl nicht blockierend ist.
GUICtrlSetData(-1, 'Info')

; Die besteht aus 2 Teilen nebeneinander, links 3 Radiobuttons, rechts ein Bild (graues Rechteck)
Global $hRightBotLeft = _UIBB_Box($UIBB_VBOX)
_UIBB_SetMargin($hRightBotLeft, 10, 10, 20, 10) ; Um das Group-Ctrl

Global $hRadio1 = _UIBB_Insert($hRightBotLeft, GUICtrlCreateRadio)
GUICtrlSetData(-1, 'Auswahl 1')

Global $hRadio2 = _UIBB_Insert($hRightBotLeft, GUICtrlCreateRadio)
GUICtrlSetData(-1, 'Auswahl 2')

Global $hRadio3 = _UIBB_Insert($hRightBotLeft, GUICtrlCreateRadio)
GUICtrlSetData(-1, 'Auswahl 3')





; Das Bild soll einen äußeren Rand haben der Frei ist.
Global $hRightBotRight = _UIBB_Box($UIBB_VBOX)
_UIBB_SetMargin($hRightBotRight, 10, 10, 10, 10)
_UIBB_Insert($hRightBotRight, GUICtrlCreateLabel)
GUICtrlSetBkColor(-1, 0xAAAAAA)

_UIBB_Insert($hRightBot, $hRightBotLeft)
_UIBB_Insert($hRightBot, $hRightBotRight)


_UIBB_Insert($hRightMid, $hRightMidTop, 1) ; Man kann (wenn man keine Pixelgrößen angibt)
_UIBB_Insert($hRightMid, $hRightMidMid, 1.5) ; auch einen Skalenfaktor zur Skalierung verwenden.
_UIBB_Insert($hRightMid, $hRightMidBot, 2) ; Er beschreibt den Anteil der Box am Verfügbaren Platz.



_UIBB_Insert($hRight, $hRightTop)
_UIBB_Insert($hRight, $hRightLine1)
_UIBB_Insert($hRight, $hRightMid)
_UIBB_Insert($hRight, $hRightLine2)
_UIBB_Insert($hRight, $hRightBot)


; $hBox zusammensetzen
_UIBB_Insert($hBOX, $hLeft)
_UIBB_Insert($hBOX, $hMid)
_UIBB_Insert($hBOX, $hRight)



_UIBB_Update($hBOX)
GUISetState()
GUIRegisterMsg(0x0005, WM_SIZE)


While True
	Switch GUIGetMsg()
		Case -3
			Exit
	EndSwitch
WEnd

Func WM_SIZE()
	_UIBB_Update($hBOX)
EndFunc   ;==>WM_SIZE
